

drivers/video/kyro/fbdev.c: In function `kyrofb_probe':
drivers/video/kyro/fbdev.c:736: warning: passing arg 1 of `memset' makes pointer from integer without a cast

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/kyro/fbdev.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/kyro/fbdev.c~kyro-warning-fix drivers/video/kyro/fbdev.c
--- 25/drivers/video/kyro/fbdev.c~kyro-warning-fix	Mon Jul  5 15:13:41 2004
+++ 25-akpm/drivers/video/kyro/fbdev.c	Mon Jul  5 15:13:46 2004
@@ -733,7 +733,7 @@ static int __devinit kyrofb_probe(struct
 			       info->var.bits_per_pixel);
 	size *= info->var.yres_virtual;
 
-	fb_memset((unsigned long)info->screen_base, 0, size);
+	fb_memset(info->screen_base, 0, size);
 
 	if (register_framebuffer(info) < 0)
 		goto out_unmap;
_
